package de.ciluvien.mensen.data

import android.content.Context
import androidx.room.AutoMigration
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import androidx.room.TypeConverters
import de.ciluvien.mensen.data.local.Canteen
import de.ciluvien.mensen.data.local.Position
import de.ciluvien.mensen.data.local.DailyMenu
import de.ciluvien.mensen.data.local.Organisation
import de.ciluvien.mensen.data.local.Meal

@Database(
    entities = [
        Canteen::class,
        DailyMenu::class,
        Meal::class,
        Organisation::class,
        Position::class],
    version = 2,
    autoMigrations = [
        AutoMigration(from = 1, to = 2)
    ]
)
@TypeConverters(Converters::class)
abstract class CanteenDatabase: RoomDatabase() {
    abstract val canteenDao: CanteenDao

    companion object {
        @Volatile
        private var INSTANCE: CanteenDatabase? = null

        fun getInstance(context: Context): CanteenDatabase {
            synchronized(this) {
                return INSTANCE ?: Room.databaseBuilder(
                    context.applicationContext,
                    CanteenDatabase::class.java,
                    "canteen_db"
                ).build().also {
                    INSTANCE = it
                }
            }
        }
    }
}